AutoCAD Civil 3D General Discussion

AutoCAD Civil 3D General Discussion

Reply
*Expert Elite*
BrianHailey
Posts: 2,850
Registered: ‎04-27-2005
Message 31 of 35 (366 Views)

Re: How to create Points and labels Perpindicular to the alignment

11-18-2012 08:19 AM in reply to: dilsmails
Valued Contributor
HansSMS
Posts: 84
Registered: ‎07-18-2012
Message 32 of 35 (315 Views)

Re: Compare As-built Points Elevations to Design Surface

04-09-2013 07:26 PM in reply to: andrew.normore

Hi Andrew,

 

I created a new User-Defined Property called As-built elevation. Then created an input fromat called As-Builts, where the elevation gets read into this user defined property instead of the point elevations.

 

Them I elevate all points to the design surface. This fills in the point elevation column, and I can using another defined format export both elevations to a csv and into a spreadsheet, converting that to any report I want.

 

I've also created an expression which is the As-built elevation minus Point elevation. Then used that expression in a label, this labels up all my points with the elevation difference and I get a nice conformance check plot.

 

Easy peasy.

 

Pity one can't created "calculated" User Defined properties, i.e. one whose value is calulated from one or more point properties.

Hans Moller
Surveying & Management Services
Gladstone Australia
Clevo Metabox 16GB, Intel i7-3720QM 3.1Ghz, 256GB SSD, Nvidia GTX 680M
AutoCAD Civil 3D 2013
New Member
mcardo99
Posts: 2
Registered: ‎03-17-2008
Message 33 of 35 (214 Views)

Re: Compare Points Perpindicular to Surface

10-17-2013 08:35 AM in reply to: andrew.normore

Thanks for the tip!!!

 

 

If terramodel has it... why doesn't civil 3D? Is somebody slacking off, throwing rubber bands at the wall at autodesk???

I'd like to see a POINTS to SURFACE elevation deviation report choice. Surveying has been in need of this since the beginning of days. Need to hand a CUT/FILL report to contractors for road construction, parking lot paving, etc...  Need this feature.

Contributor
strsi681
Posts: 21
Registered: ‎06-05-2012
Message 34 of 35 (107 Views)

Re: Compare Points Perpindicular to Surface

05-16-2014 09:54 PM in reply to: mcardo99
I agree, I have been using 12d for the past 6 months and it has an inbuilt function that generates a report detailing differences between points and DTMs (either vertically or perpendicular to the surface). Is this function still not available on civil 3d?
*Expert Elite*
tcorey
Posts: 2,699
Registered: ‎12-18-2002
Message 35 of 35 (77 Views)

Re: Compare Points Perpindicular to Surface

05-19-2014 11:36 AM in reply to: strsi681

One of the beauties of Civil 3D is that it includes a programmer interface, making it easy to solve small issues like the one presented in this thread. The following code is an example. If it works for you, you are welcome to use it as-is or change it so it does work for you.

 

;copyright (c)2014 by Timothy Corey
;Delta Engineering Systems, Redding, CA
;Autodesk Authorized Value-Added Reseller
;permission is hereby granted for free use of this program as-is
;or modified to your specifications.
;This program or any portion may not be sold or combined with any
;for-sale software.
;It is the responsibility of the user to debug the software
;to determine its usability and accuracy.

;This program will ask for a reference surface object and a selection set of Civil 3D Points
;a report will then be written, c:\PointDepth.txt, which will list PointNumber, PointElevation,
;SurfaceElevation and DistanceToSurface. Change the file location and name to your specifications.

(defun c:go ( / srf vsrf fl pts len ctr p vp pno x y elv srfz depth elvx srfzx output)

  (setq srf (car (entsel "\nSelect reference surface: "))
	vsrf (vlax-ename->vla-object srf)
	)
  (setq fl (open "c:\\PointDepth.txt" "w"))
  (write-line "PointNumber, PointElevation, SurfaceElevation, DistanceToSurface" fl)
  (prompt "\nSelect points to report: ")
  
  
  (setq pts (ssget)
	len (sslength pts)
	ctr 0)

  (while (< ctr len)

    (setq p (ssname pts ctr))

    (if (= (cdr (assoc 0 (entget p))) "AECC_COGO_POINT")
      (progn
	(setq vp (vlax-ename->vla-object p)
	      pno (itoa (vlax-get-property vp 'Number))
	      x (vlax-get-property vp 'Easting)
	      y (vlax-get-property vp 'Northing)
	      elv (vlax-get-property vp 'Elevation)
	      )
	(setq srfz (vlax-invoke-method vsrf 'FindElevationAtXY x y))
	(setq depth (rtos (- srfz elv) 2 2))
	(setq elvx (rtos elv 2 2)
	      srfzx (rtos srfz 2 2)
	      
	      )
	(setq output (strcat pno "," elvx "," srfzx "," depth))
	(write-line output fl)
	
	)
      
      )
    (setq ctr (1+ ctr))
    )
  (close fl)
  (princ)
  )
	
	
	
	
 
  

 Best regards,

 

Tim

Tim Corey, Owner
Delta Engineering Systems
Redding, CA
Autodesk Authorized Value-Added Reseller
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Are You Going To Be @ AU 2014? Feel free to drop by our AU topic post and share your plans, plug a class that you're teaching, or simply check out who else from the community might be in attendance. Ohh and don't forgot to stop by the Autodesk Help | Learn | Collaborate booths in the Exhibit Hall and meet our community team if you get a chance!